import { render, unmountComponentAtNode } from "react-dom";
import SensorData from "../routes/SensorData";
import { screen } from "@testing-library/react";

let conteneur = null;
beforeEach(() => {
  // met en place un élément DOM comme cible de rendu
  conteneur = document.createElement("div");
  document.body.appendChild(conteneur);
});

afterEach(() => {
  // nettoie en sortie de test
  try {
    unmountComponentAtNode(conteneur);
  } catch (ignored) {}
  conteneur.remove();
  conteneur = null;
});

const interrupteur_off = JSON.parse(`{
  "id": 45678,
  "name": "Interrupteur cuisine",
  "type": "SWITCH",
  "data": {
      "value": 0
  }
}`);

it("Generation interrupteur off", () => {
  render(<SensorData sensor={interrupteur_off} />, conteneur);
  expect(screen.getByText("L'interrupteur est off")).toBeInTheDocument();
  expect(screen.getByAltText("Tourner off interrupteur")).toBeInTheDocument();
});
